Bug 1013538 - Please update Errai version to 2.4.0.Final
Please update Errai version to 2.4.0.Final
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: BRE (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified
: ER5
: 6.0.0
Assigned To: Edson Tirelli
Lukáš Petrovický
:
Depends On:
Blocks: 1013544
  Show dependency treegraph
 
Reported: 2013-09-30 06:11 EDT by Ryan Zhang
Modified: 2014-08-06 16:17 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:17:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryan Zhang 2013-09-30 06:11:15 EDT
Description of problem:
Errai 2.4.0.Final is already available https://github.com/errai/errai/releases/tag/2.4.0.Final.
And JBoss product requires Final version for GA release.

Can we update the Errai version to 2.4.0.Final (Currently droolsjbpm use 2.4.0.CR1)?

(note that this also includes uberfire which isn't use community bom)

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 Edson Tirelli 2013-09-30 09:42:33 EDT
Ryan, 

Drools/jBPM 6.0.0.CR4 were overriding the version to use Final already, so as far as the community CR4, product ER4 builds, we are ok.

I just updated the platform BOM to final as well, and will remove the local overrides from the drools/jbpm pom.

https://github.com/jboss-integration/jboss-integration-platform-bom/commit/3bbb9df5742f42631ca7e62b969b3bc81c2b5f9a
Comment 3 Ryan Zhang 2013-10-08 04:08:21 EDT
Ok,Thanks.
We will make this in ER5 or later.
Comment 5 Lukáš Petrovický 2013-11-23 16:22:12 EST
ER5 contains Errai 2.4.1-redhat-1, which is close enough. VERIFIED.

Note You need to log in before you can comment on or make changes to this bug.